#pragma once

#include <memory>
#include <string>

namespace scene {
class BusinessServer;

class Application {
public:
    static Application& getInstance();
    int exec(int argc, char* argv[]);

private:
    Application() = default;
    ~Application();
    bool parseArgv(int argc, char* argv[]);
    void init();
    void run();

    static void printHelp();
    void initConfig();
    void initLog();
    void initBusinessServer();

private:
    ::std::string confDir;
    ::std::string confFilename;
    std::shared_ptr<BusinessServer> server;
};
}  // namespace scene
