#pragma once

#include <nlohmann/json.hpp>
#include <string>

#include "log.h"

class Configuration {
public:
    static bool parseConfFile(const std::string& path, const std::string& filename);
    static nlohmann::json getAllValues();
    static std::string getString(const std::string& key, const std::string& defaultValue = "");
    static int getInt(const std::string& key, int defaultValue = 0);
    static LogLevel getLogLevel();
    static std::string getServiceName();

private:
    static nlohmann::json values;
};
