#ifndef TEXTEMBEDDINGPROCESSOR_H
#define TEXTEMBEDDINGPROCESSOR_H

#include <kyai-business-framework/rpc/embedding/baseembeddingprocessor.h>

namespace scene {
class TextEmbeddingProxy;
class TextEmbeddingProcessor : public BaseEmbeddingProcessor {
public:
    static TextEmbeddingProcessor& getInstance() {
        static TextEmbeddingProcessor processor;
        return processor;
    }

    ~TextEmbeddingProcessor();

protected:
    bool initializeResources() override;
    std::vector<float> embedding(const EmbeddingTask& task) override;

private:
    TextEmbeddingProcessor() = default;

    TextEmbeddingProxy* proxy_ = nullptr;
};
}  // namespace scene
#endif  // TEXTEMBEDDINGPROCESSOR_H
